/*
 * Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */

package hotlava.net;

import java.net.MalformedURLException;

/**
 * This class is used to decode (unescape) URLs
 * It is the complement of Suns java.net.URLEncoder class
 *
 * @version $Revision: 1.1 $
 *
 * <p>Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */
public class URLDecoder
{
    /**
     * You can't call the constructor.
     */
    private URLDecoder() { }

	public static byte[]
	decode(byte[] buf)
		throws MalformedURLException
	{
		String s = decode(new String(buf, 0));
		byte[] result = new byte[s.length()];
		s.getBytes(0, result.length, result, 0);
		return result;
	}

	/**
	 * Decode (unescape) an escaped URL string
	 * @exception MalformedURLException
	 */
	public static String
	decode(String s)
		throws MalformedURLException
	{
		int len = s.length();

		char[] r = new char[len];
		int dpos = 0;

		for (int spos = 0; spos < len; spos++)
		{
			char c = s.charAt(spos);

			switch (c)
			{
			case '%':
				try {
					r[dpos] = (char)Integer.parseInt(s.substring(spos+1, spos+3), 16);
					spos += 2;
				}
				catch (NumberFormatException e) {
					throw new MalformedURLException("Badly encoded String: " + e.getMessage());
				}
				break;
			case '+':
				r[dpos] = ' ';
				break;
			default:
				r[dpos] = c;
				break;
			}
			dpos++;
		}

		return String.valueOf(r, 0, dpos);
	}

}
