/*
 * Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */
 
package hotlava.net.http;

import java.io.*;

/**
 * The HTTP handler interface
 *
 * @author Hotlava Ltd
 * @version $Revision: 1.1 $
 * @version $State: Exp $
 *
 * <p>Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */
public interface Handler
{
	/**
	 * Handle a request
	 *
	 * @param r the Request to be handled
	 * @param os the DataOutput stream where the result of the request is sent
	 * NOTE: Should this be OutputStream instead? Gary@hotlava.com
	 * @exception IOException If an I/O error has occurred.
	 * @exception HandlerException If a the Request could not be handled.
	 */
	public void handleRequest(Request r, DataOutput os)
		throws IOException, HandlerException;
}
