/*
 * Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */
 
package hotlava.proxy;

import java.io.*;
import java.net.*;
import java.util.Properties;

/**
 * The Polluter
 * <p>Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */
public class Debug
	extends Proxylet
{
	protected PrintStream out;
	protected boolean reqline;
	protected boolean headers;
	protected boolean params;

	public Debug()
	{
		reqline = true;
		headers = true;
		params = true;
		out = System.out;
	}

	public Debug(Proxylet p)
	{
		this();
		setNext(p);
	}

    public void
	init(Properties p)
		throws ProxyletException
	{
		reqline = p.getProperty("hotlava.proxy.Debug.request_line", "true").toLowerCase().equals("true");
		headers = p.getProperty("hotlava.proxy.Debug.headers", "true").toLowerCase().equals("true");
		params = p.getProperty("hotlava.proxy.Debug.params", "true").toLowerCase().equals("true");
	}

	public void
	handleRequest(hotlava.net.http.Request r, DataOutput os)
		throws IOException, ProxyletException
	{
		out.println(r.request_line());
		out.println(r.params());
		out.println(r.header_data());
		next.handleRequest(r, os);
	}
}
