/*
 * Magnus Johansson
 * UCCS
 */
 
package hotlava.proxy;

import java.io.*;
import java.net.*;
import java.util.Properties;
import hotlava.net.http.*;

/**
 * The Java Filter looks for .class and .jar files in incoming requests 
 *
 */
public class JavaFilter extends Proxylet
{
	protected PrintStream debug;

	protected String ASURI;
	protected String ASReq;


	public void debug(PrintStream out) { debug = out; }

	public JavaFilter()
	{
		/* Set the authorization server URL */
		// ASURI = "http://128.198.8.155/servlet/authorizer?url=";
		ASURI = "http://128.198.8.233/servlet/authorizer?url=";
		ASReq = null;
	}

	public JavaFilter(Proxylet p)
	{
		this();
		setNext(p);
	}

    public void
	init(Properties p)
		throws ProxyletException
	{
	}

	public void
	handleRequest(hotlava.net.http.Request r, DataOutput os)
		throws IOException, ProxyletException
	{
		if ( r.filename().endsWith(".class") || r.filename().endsWith(".jar")) {
			if( debug != null) {
				debug.println("JavaFilter detected: " + r.filename());
			}
			/* Redirect request to AS */
			try {
				ASReq = ASURI + r.URI();
				debug.println("JF redirects to: " + ASURI);	
				debug.println("Authorization req: " + ASReq);	
				r.URI(ASReq);
			} catch (MalformedRequestException e) {
				System.out.println("JF ERROR");
			}
		}
		next.handleRequest(r, os);
	}
}
