/*
 * Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */

package hotlava.proxy;

import java.io.*;

public class Server
{
	private hotlava.net.http.Server server;

	/**
	 * Set the debug PrintStream
	 * @param out the PrintStream where debugging is sent, unless null
	 */
	public void debug(PrintStream out) { server.debug(out); }

	/**
	 * Set the proxylet object that will deal with Requests
	 * @param proxylet a Proxylet object to deal with Requests
	 */
	public void proxylet(Proxylet proxylet) { server.handler(proxylet); }

	public Server(int port) { server = new hotlava.net.http.Server(port); }

	/**
	 * Start serving
	 * @exception IOException an IO error has occurred
	 */
	public void
	serve()
		throws IOException
	{
		server.serve();
	}

	public static void
	main(String[] argv)
		throws IOException
	{
		Server server = new Server(8080);

		UserAgent ua = new UserAgent(null);
		ua.debug(System.out);
//		CookieCutter cc = new CookieCutter(ua);
//		cc.debug(System.out);
		JavaFilter jf = new JavaFilter(ua);
		jf.debug(System.out);

		server.debug(System.out);
		server.proxylet(jf);

		server.serve();
	}
}
