/*
 * Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 *
 * This library and applications are FREE FOR COMMERCIAL AND NON-COMMERCIAL USE
 * as long as the conditions within the COPYRIGHT file are adhered to.
 *
 */

package hotlava.util;

import java.util.Date;

public final class Formatter
{
	public static final String months[] = {"Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"};
	public static final String days[] = {"Sun","Mon","Tue","Wed","Thu","Fri","Sat"};

	public final static String
	shortDate( Date date )
	{
		StringBuffer sb = new StringBuffer(8);
		int i;
		i = date.getDate(); // day of month
		sb.append( i / 10 ).append( i % 10 ).append( months[date.getMonth()] ); // month
		i = date.getYear(); // year from 1900
		sb.append( i / 10 ).append( i % 10 );
		return sb.toString();
	}

	public final static String
	quickDate( Date date )
	{
		StringBuffer sb = new StringBuffer(8);
		int i = date.getDate(); // day of month
		sb.append( i / 10 );
		sb.append( i % 10 );
		sb.append( months[date.getMonth()] ); // month
		return sb.toString();
	}

	public final static String
	longDate( Date date )
	{
		int i;
		StringBuffer sb = new StringBuffer(32);
		sb.append( days[date.getDay()] );
		sb.append( ' ' );
		sb.append( i = date.getDate() ); // day of month
		switch ( i % 10 )
		{
		case 1:
			sb.append( "st " );
			break;
		case 2:
			sb.append( "nd " );
			break;
		case 3:
			sb.append( "rd " );
			break;
		default:
			sb.append( "th " );
			break;
		}
		sb.append( months[date.getMonth()] ); // month
		sb.append( ' ' );
		sb.append( 1900 + date.getYear() ); // year from 1900
		sb.append( " at " );
		i = date.getHours();
		sb.append( i / 10 );
		sb.append( i % 10 );
		sb.append( ':' );
		i = date.getMinutes();
		sb.append( i / 10 );
		sb.append( i % 10 );
		sb.append( ':' );
		i = date.getSeconds();
		sb.append( i / 10 );
		sb.append( i % 10 );
		sb.append( " GMT" );
		return sb.toString();
	}
}
