/*
 * Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */

package hotlava.util;

import java.io.IOException;

/**
 * Signals an error in an IniFile.
 * Contains the section name, and line number.
 *
 * @author Hotlava Ltd
 * @version $Revision: 1.1 $
 * @version $State: Exp $
 *
 * <p>Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */
public class IniFileFormatException
	extends IOException
{
	public String section;
	public int line;

	IniFileFormatException(String section, int line, String reason)
	{
		super(reason);
		this.section = section;
		this.line = line;
	}
}
